Bug Hunting Session
Bug 68419 - FORMATTING: Paragraph borders are not merged between two pages
Summary: FORMATTING: Paragraph borders are not merged between two pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Paragraph
  Show dependency treegraph
 
Reported: 2013-08-22 09:56 UTC by Stanislav Horacek
Modified: 2019-08-11 12:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample odt with paragraph borders (8.90 KB, application/vnd.oasis.opendocument.text)
2013-08-22 09:56 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2013-08-22 09:56:04 UTC
Created attachment 84440 [details]
sample odt with paragraph borders

Problem description:
Under certain circumstances, paragraph borders are not merged which can break document layout and cannot be reverted by Undo command. The bug has been present since OpenOffice.org times.

Steps to reproduce:
1. Open the sample document. There are blank paragraphs (some of them with 10pt font size) followed by two paragraphs ("first paragraph" and "second paragraph") formatted by a style. Border option "Merge with next paragraph" is checked.
2. Insert a blank paragraph (by pressing Enter) before the bordered paragraphs. The "second paragraph" moves to the second page.
3. Delete the paragraph that you just inserted.

Current behavior:
The "second paragraph" still remains at the second page.

Expected behavior:
The "second paragraph" should move back to the first page.

This cannot be reverted by Undo, you need to delete end of "first paragraph" line and make it again by pressing Enter.
              
Operating System: Windows 7
Version: 4.2.0.0.alpha0+ Master
Comment 1 Jean-Baptiste Faure 2013-12-07 11:56:06 UTC
Reproducible for me with Version: 4.2.0.0.beta2+ (Build ID: 9bb72868b846a7ba7e8f985a87e944fb760a0f10) under Ubuntu 13.10 x86-64
Reproducible too with versions 4.1.5.0+ and 4.0.6

Another workaround: remove 2 paragraphs before the paragraphs with borders and reinsert one.

Best regards. JBF
Comment 2 QA Administrators 2015-04-19 03:22:53 UTC Comment hidden (obsolete)
Comment 3 Jean-Baptiste Faure 2015-04-20 05:04:27 UTC
Still reproducible with LibreOffice 4.4.4.0.0+ and LibreOffice 5.0.0.0.alpha1+ built at home under Ubuntu 14.10 x86-64.
Same workarounds still work.

Best regards. JBF
Comment 4 QA Administrators 2016-09-20 09:33:18 UTC Comment hidden (obsolete)
Comment 5 Stanislav Horacek 2016-09-21 19:21:12 UTC
Still reproducible in 5.2.1 and current master (Kubuntu 16.04).
Comment 6 Stanislav Horacek 2016-09-21 20:25:27 UTC
Reproducible also in 3.5.4 and Apache OpenOffice 4.1.1 -> inherited from OOo.
Comment 7 yova 2017-05-02 19:12:07 UTC
Still reproducible in 5.3.2.2
Comment 8 QA Administrators 2018-06-15 02:44:58 UTC Comment hidden (obsolete)
Comment 9 Jean-Baptiste Faure 2018-06-17 10:51:08 UTC
Still reproducible with LibreOffice 6.1.0.0.beta2+ built at home under Ubuntu 16.10 x86-64.
Same workarounds still work.

Best regards. JBF
Comment 10 QA Administrators 2019-06-18 02:46:38 UTC Comment hidden (obsolete)
Comment 11 Jean-Baptiste Faure 2019-08-11 12:59:35 UTC
Still reproducible with LibreOffice 6.3.1.0+ and current master both built at home under Ubuntu 16.10 x86-64.

Same workarounds still work.

Best regards. JBF